Task # 23406 (In Progress): GRSF records management panel : bug fixes, tests and improvements

GRSF Manage widget enhancements: social post, replace the BR tags with new lines.

May 25, 2022 04:11 PM - Francesco Mangiacrapa

Status: Feedback Start date: May 25, 2022

Priority: Normal Due date:  

Assignee: Aureliano Gentile % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Since: https://support.d4science.org/issues/20203#note-17

We need to replace the BR tags with new lines.

History

#1 - May 25, 2022 04:42 PM - Francesco Mangiacrapa

- Subject changed from GRS Manage widget: enhancements to GRS Manage widget enhancements: social post, replace the BR tags with new lines.

#2 - May 25, 2022 06:14 PM - Francesco Mangiacrapa

- Subject changed from GRS Manage widget enhancements: social post, replace the BR tags with new lines. to GRSF Manage widget enhancements:

social post, replace the BR tags with new lines.

#3 - May 26, 2022 10:00 AM - Francesco Mangiacrapa

- Status changed from New to In Progress

#4 - May 26, 2022 10:18 AM - Francesco Mangiacrapa

- % Done changed from 0 to 100

The messages used to publish social posts from "grsf-manage-widget" have been rewritten with new lines \n' instead of the HTML tag`

POST_MESSAGE = "Dear members,\nThe record 'PRODUCT_TITLE' has been just updated by USER_FULLNAME.\nYou can ins

pect it here: LINK_RECORD.";

POST_ON_REVERT = "Dear members,\na merge operation has been reverted on this record RECORD_URL by ADMIN_WHO_CH

ANGED. The merge was originally proposed by ORIGINAL_USER.";

 The messages sent via emails will continue to keep the HTML tag <br> 

Enhancement available in the branch: https://code-repo.d4science.org/gCubeSystem/grsf-manage-widget/src/branch/task_23406

#7 - May 27, 2022 04:33 PM - Francesco Mangiacrapa

- Status changed from In Progress to Feedback

This enhancement has just been released in PRODUCTION (see https://support.d4science.org/issues/23435)

#8 - May 27, 2022 05:15 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Aureliano Gentile

#9 - Jun 09, 2022 03:02 PM - Aureliano Gentile

Thanks Francesco, we will review and close this ticket as soon as the management panel is back at work and we can review the notification

messages.
